نقطه پایانی API:
http://www.checkmysite.ir/api/v1/ai/feature-check
مثال درخواست:
curl --location --request GET 'http://www.checkmysite.ir/api/v1/ai/feature-check' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {api_key}'
نقطه پایانی API:
http://www.checkmysite.ir/api/v1/ai/balance
مثال درخواست:
curl --location --request GET 'http://www.checkmysite.ir/api/v1/ai/balance' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {api_key}'
نقطه پایانی API:
http://www.checkmysite.ir/api/v1/ai/estimate
مثال درخواست:
curl --location --request POST 'http://www.checkmysite.ir/api/v1/ai/estimate' \ --header 'Content-Type: application/json' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer {api_key}' \ --data-raw '{"type": "text", "options": {}}'
پارامترها:
typetext، article، image، meta، title، description، other.optionsنقطه پایانی API:
http://www.checkmysite.ir/api/v1/ai/generate
مثال درخواست:
curl --location --request POST 'http://www.checkmysite.ir/api/v1/ai/generate' \ --header 'Content-Type: application/json' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer {api_key}' \ --data-raw '{"type": "text", "prompt": "Write a short poem", "confirm_cost": true}'
پارامترها:
typetext، article، image، meta، title، description.promptoptionsconfirm_costtrue تنظیم شود. اگر تنظیم نشود، API هزینه تخمینی را بدون تولید برمیگرداند.نقطه پایانی API:
http://www.checkmysite.ir/api/v1/ai/packages
مثال درخواست:
curl --location --request GET 'http://www.checkmysite.ir/api/v1/ai/packages' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {api_key}'
نقطه پایانی API:
http://www.checkmysite.ir/api/v1/ai/purchase
مثال درخواست:
curl --location --request POST 'http://www.checkmysite.ir/api/v1/ai/purchase' \ --header 'Content-Type: application/json' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer {api_key}' \ --data-raw '{"package_id": 1}'
پارامترها:
package_idنقطه پایانی API:
http://www.checkmysite.ir/api/v1/ai/transactions
مثال درخواست:
curl --location --request GET 'http://www.checkmysite.ir/api/v1/ai/transactions' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {api_key}'
پارامترها:
typepurchase، usage، plan_reset، refund، admin_adjustment.limit20.page1.نقطه پایانی API:
http://www.checkmysite.ir/api/v1/ai/history
مثال درخواست:
curl --location --request GET 'http://www.checkmysite.ir/api/v1/ai/history' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {api_key}'
پارامترها:
typetext، article، image، meta، title، description.limit20.page1.